Subject: Re: [bug#33716] [PATCH staging] gnu: mesa: Update to 18.3.1.

From: Rutger Helling <[email-masked]>
Date: Thu, 13 Dec 2018 11:51:34 +0100

Thanks for pushing! Unfortunately I couldn't get Clang to upgrade to
7.0.0. I've added a [email-masked] variant to master along with comments
about Mesa and Clang.

On Wed, 12 Dec 2018 22:02:36 +0100
Marius Bakke <[email-masked]> wrote:

> Rutger Helling <[email-masked]> writes:
> 
> > Hey Guix,
> >
> > Here's a Mesa update for the just released 18.3.1 version. Not sure
> > whether or not I'm too late for the staging branch. If I am this can
> > wait until the next staging branch.  
> 
> Thanks!  I've pushed this patch on your behalf and started the
> 'staging' jobset on Hydra, with a small change...
> 
> > Two things to note:
> > * While Mesa 18.3.x still builds with LLVM 6 the upcoming 19.0.x
> > series doesn't anymore. For that and performance reasons I decided
> > to add a [email-masked] package for Mesa. I don't know enough about the
> > LLVM stack to upgrade it entirely, so this is kind of a
> > workaround.  
> 
> LLVM 7 is a heavy dependency, so I opted to drop it since it is not
> required.  Feel free to add the LLVM@7 variant on 'master' in the mean
> time -- it would be good to make it the default in the next staging
> cycle.  Did you try upgrading Clang as well?
> 
> > * Since Mesa 18.3 works with Python 3 I've replaced the Python 2
> >   dependencies with Python 3 ones.  
> 
> Great, thanks for keeping up with Mesa development!